Subject: 25.0.95; GLib-GIO-CRITICAL g_setting-Schema_source_lookup assertion failed on startup

From: Markus Triska <[email-masked]>
Date: Tue, 05 Jul 2016 21:30:20 +0200

When I do:

   $ emacs -Q

then the following is displayed on the terminal before anything else happens:

   (process:94387): GLib-GIO-CRITICAL **: g_settings_schema_source_lookup: assertion 'source != NULL' failed

Immediately after this, a frame is shown and I can interact with Emacs.

All the best,
Markus

In GNU Emacs 25.0.95.2 (x86_64-apple-darwin15.5.0, X toolkit, Xaw scroll bars)
 of 2016-07-05 built on mt-imac
Repository revision: e3b039d1a0e611d6619ed3ce67d125160d644ebc
Windowing system distributor 'The X.Org Foundation', version 11.0.11502000
Configured using:
 'configure --without-ns CFLAGS=-I/opt/local/include
 LDFLAGS=-L/opt/local/lib'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK GSETTINGS NOTIFY ACL GNUTLS
LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS LUCID X11

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix